package rowedto.jockeyedto.sheetedto.interactiveedto.twistedto.feeedto.eveningedto

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import rowedto.jockeyedto.sheetedto.interactiveedto.twistedto.Sectoredto
import rowedto.jockeyedto.sheetedto.knewedto.economicedto.copyrightedto.Driededto
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Slantedto
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stewardedto


class Undermineedto : BroadcastReceiver() {
    override fun onReceive(p0: Context?, p1: Intent?) {
        Slantedto.event("alarm_push")
        val firstAlemtime = Stewardedto.getInstance().getLong("firstAlemtime", 0L)
        if (firstAlemtime > 0) {
            val leatTime = System.currentTimeMillis()
            if (leatTime - firstAlemtime >= 1000 * 30 * 60) {
                Sectoredto.sendNotification(Driededto.context, "alarm")
            }
        }
        Stewardedto.getInstance().put("firstAlemtime", System.currentTimeMillis())
        return
    }
}